summaryrefslogtreecommitdiffstats
path: root/src/orchestrator/scripts/start-docker.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/orchestrator/scripts/start-docker.sh')
-rwxr-xr-xsrc/orchestrator/scripts/start-docker.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/src/orchestrator/scripts/start-docker.sh b/src/orchestrator/scripts/start-docker.sh
new file mode 100755
index 00000000..c6f53c6c
--- /dev/null
+++ b/src/orchestrator/scripts/start-docker.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2020 Intel Corporation
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source _functions.sh
+
+#
+# Start from containers. build.sh should be run prior this script.
+#
+stop_all
+start_mongo
+start_etcd
+generate_config
+start_all \ No newline at end of file